UNIT ADDRKEYL;

(****************************************************************)
(*                    AddrKeyL By C. Franz                      *)
(*     Copyright (c) 1988, By Carl Franz & JFL Consulting       *)
(*                                                              *)
(*                       KeyMaker V2.0                          *)
(*                                                              *)
(*  Purpose: This TPU contains the address BUZZ words I use     *)
(*           when scanning the address lines.  They are made    *)
(*           up of standard abreviations of common words found  *)
(*           in addresses.                                      *)
(*                                                              *)
(*                                                              *)
(****************************************************************)

INTERFACE

CONST

{ The AddrTbl contains standard abreviations for common address BUZZ words.
  These words are used by the AddrToKey routine to find the street name.
  Also, I use them in order to not accidentially make a BUZZ word part of
  the key (it can happen).  If you need to add or subtract words from this
  table, go ahead.  Remember that UWMax must be maintained also to reflect
  the current number of words.  Also, UWListTbl MUST be in alphabetical order
  as I use a binary search to find them.

  While I feel this table is complete, a common reason for changing them is
  to add foreign language or regionally peculiar address words.              }

    AddrTblMax  = 107; {the number of words the AddrTbl - this MUST be accurate }

    AddrTbl : Array [1..AddrTblMax] of String[8] =
         ( 'ALLEY','ALY','ANX','APTS','ARC','AV','AVE','BCH',
           'BLDG','BLVD','BYU','BOX','CIR',
           'CLG','CMM','CMMS','CONDO','COR','COURT','CP','CRES',
           'CT','CTL','CTR','CTS','CYN','DR','1/2','E',
           'EST','EXPWY','EXPY','EXT','FWY','GDNS',
           'GR','HBR','HL','HLS','HOLW','HOSP','HSE',
           'HTS','HWY','JCT','LA','LK','LKS','LN','LNDG','LWR',
           'MALL','MDL','MDWS','MNR','MTN','N','NAS','NE','NW','OF',
           'ORCH','OVAL','PALMS','PARK','PASS','PATH','PK','PKWY',
           'PL','PLZ','PO','PRT','PT','RD','RDWY','RR','RT','S','SCH','SE',
           'SHR','SHRS','SPDWY','SPG','SPGS','SQ','ST','STA',
           'SW','TER','TERR','TPKE','TR','TUNL','TWN','TWR','TWRS',
           'US','VL','VLG','VLY','W','WAY','WTR','WY','XING');

{ The AptLitTbl contains standard abreviations for common words which are
  USUALLY followed by an apartment number (or letter).  The apartment number,
  if found, is used in the AddrToKey to seporate addresses in the same
  building.  You may add or remove words from this table as needed and then
  recompile this module.  They MUST be in alphabetical order as I use a
  binary search in searching all tables (although in this case it's probably
  overkill).                                                                }

     ALMax = 8; {the number of words in the AptLitTbl - also MUST be accurate}

     AptLitTbl : Array [1..AlMax] of string[8] =
        ( 'APT','SUITE','RM','ROOM','FLAT','UNIT','FLOOR','US');

IMPLEMENTATION

END.
