UNIT NAMEKEYL;

(****************************************************************)
(*                    AddrKeyL By C. Franz                      *)
(*     Copyright (c) 1988, By Carl Franz & JFL Consulting       *)
(*                                                              *)
(*                       KeyMaker V2.0                          *)
(*                                                              *)
(*  Purpose: This TPU contains the name BUZZ words I use when   *)
(*           scanning the address lines.  They are made up of   *)
(*           standard abreviations for  titles and              *)
(*           honorifics usually associated with a name.         *)
(*                                                              *)
(*                                                              *)
(****************************************************************)

INTERFACE

CONST

{ The TitleTbl contains standard abreviations for common name greetings or
  titles.  These words are used by the NameToKey routine to remove extranious
  words from the name string so that the first, last, and middle name can be
  found and turned into a proper database key.
  If you need to add or subtract words from this table, go ahead.  Remember
  that TitleTblMax must also be maintained to reflect the current number of
  words in the TitleTbl.  Also, TitleTbl MUST be in alphabetical order as I
  use a binary search to find them.                                         }

TitleTblEnd = 62; {number of words in TitleTbl - must be accurate }

  TitleTbl : Array [1..TitleTblEnd] of string[8] =
       ( '1ST', '2ND', 'ADMIRAL', 'AG', 'AMB', 'AMN', 'ATTY',
         'BRIG', 'CMDR', 'CMSGT', 'COL', 'CPL', 'CPO',
         'CPT', 'CWO', 'DA', 'DR', 'DRS', 'ENS', 'FR',
         'GEN', 'GENERAL', 'GOV', 'GYSGT', 'HON',
         'JDG', 'JG', 'LCDR', 'LCPL', 'LT', 'M/SGT',
         'MAJ', 'MCPO', 'MISS', 'MOTHER', 'MR', 'MRS',
         'MS', 'MSGR', 'PFC', 'PO', 'PROF', 'PSGT',
         'PVT', 'RABBI', 'REP', 'REV', 'REVEREND',
         'RT', 'S/SGT', 'SASGT', 'SCPO', 'SEN', 'SFC',
         'SGT', 'SISTER', 'SMN', 'SMSGT', 'SR', 'SSM',
         'T/SGT', 'WO' );

{ The HonorTbl contains standard abreviations for common name Compliment or
  Honorific words.
  Again, these words are used by the NameToKey routine to remove extranious
  words from the name string so that the first, last, and middle name can be
  found and turned into a proper database key.
  If you need to add or subtract words from this table, go ahead.  Remember
  that HonorTblMax must also be maintained to reflect the current number of
  words in the HonorTbl.  Also, HonorTbl MUST be in alphabetical order as I
  use a binary search to find them.                                         }

HonorTblEnd = 39; {number of words in HonorTbl - MUST be accurate. }

  HonorTbl : Array [1..HonorTblEnd] of  string[8] =
        ( 'AL', 'ASST', 'ATTY', 'CEO', 'CHAIRMAN',
          'CHAPLAIN', 'CLU', 'CPA', 'CPAS', 'DA',
          'DD', 'DDS', 'DMD', 'DR', 'DVM', 'ESQ', 'ET',
          'EXEC', 'GOV', 'II', 'III', 'IV', 'JP', 'JR',
          'LLB', 'LLD', 'LT', 'MD', 'ND', 'PERSONAL',
          'PHD', 'PHYS', 'PRES', 'RA', 'REP', 'RET',
          'RN', 'RVN', 'SR');

IMPLEMENTATION

END.
